## nautilus-property-page-provider

nautilus-property-page-provider

## Functions

GList * | nautilus_property_page_provider_get_pages ()

## Types and Values

| NautilusPropertyPageProvider
struct | NautilusPropertyPageProviderIface

## Object Hierarchy

        GInterface
        ╰── NautilusPropertyPageProvider

## Prerequisites

NautilusPropertyPageProvider requires GObject.

## Description

## Functions

### nautilus_property_page_provider_get_pages ()

    GList *
    nautilus_property_page_provider_get_pages
                                   (NautilusPropertyPageProvider *provider,
                                    GList *files);

This function is called by Nautilus when it wants property page items from the extension.

This function is called in the main thread before a property page is shown, so it should return quickly.

#### Parameters

provider | a NautilusPropertyPageProvider |
files | a GList of NautilusFileInfo. | [element-type NautilusFileInfo]

#### Returns

A GList of allocated NautilusPropertyPage items.

[element-type NautilusPropertyPage][transfer full]

## Types and Values

### NautilusPropertyPageProvider

    typedef struct _NautilusPropertyPageProvider NautilusPropertyPageProvider;

### struct NautilusPropertyPageProviderIface

    struct NautilusPropertyPageProviderIface {
    	GTypeInterface g_iface;

    	GList *(*get_pages) (NautilusPropertyPageProvider     *provider,
    			     GList                    *files);
    };